Bug 832071 - Rgmanager and libvirt updates race condition
Rgmanager and libvirt updates race condition
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rgmanager (Show other bugs)
6.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 08:50 EDT by CAPELLE Benoit
Modified: 2012-08-17 14:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 14:35:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CAPELLE Benoit 2012-06-14 08:50:53 EDT
Description of problem:
Libvirt was updated yesterday to version 0.9.4-23.el6_2.9. While
updating libvirt, virsh command is unavailable to rgmanager leading one node to stop two guests services:

/var/log/messages
--
Jun 13 15:01:12 kvm2 rgmanager[20461]: [vm] Cannot find 'virsh'; is it installed?
Jun 13 15:01:12 kvm2 rgmanager[6804]: status on vm "kvm2_cups_x86_64_RHEL5" returned 2 (invalid argument(s))
Jun 13 15:01:12 kvm2 rgmanager[20473]: [vm] Could not determine Hypervisor
Jun 13 15:01:12 kvm2 rgmanager[6804]: status on vm "kvm2_sam_x86_64_RHEL5" returned 2 (invalid argument(s))
Jun 13 15:01:12 kvm2 rgmanager[6804]: Stopping service vm:kvm2_cups_x86_64_RHEL5
Jun 13 15:01:12 kvm2 rgmanager[6804]: Stopping service vm:kvm2_sam_x86_64_RHEL5
Jun 13 15:01:14 kvm2 yum[19482]: Updated: libvirt-client-0.9.4-23.el6_2.9.x86_64
Jun 13 15:01:14 kvm2 yum[19482]: Updated: libvirt-python-0.9.4-23.el6_2.9.x86_64
Jun 13 15:01:20 kvm2 yum[19482]: Updated: libvirt-0.9.4-23.el6_2.9.x86_64
--


Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 6.2 (Santiago)
Kernel 2.6.32-220.17.1.el6.x86_64
rgmanager-3.0.12.1-5.el6.x86_64
libvirt-0.9.4-23.el6_2.9.x86_64

How reproducible:
While libvirt updates are installed with yum update. Behavior
observed on only one node, the other node was not affected by
updating libvirt. Maybe a rare race condition.

Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:
Guests may crash and rgmanager stops vm service

Expected results:
Guests should'nt be affected by updating libvirt

Additional info:
Comment 2 Lon Hohberger 2012-07-27 14:50:47 EDT
The update of libvirt would have to occur at the same time as a status check; so this should not be common.

This can be worked around by interacting with rgmanager in a couple of ways, the most obvious is to 'freeze' all services on a host, upgrade libvirt, then unfreeze all services.
Comment 3 RHEL Product and Program Management 2012-08-17 14:35:59 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.